Bug 519417 - Update Test-Simple to 0.92
Summary: Update Test-Simple to 0.92
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 14:37 UTC by Iain Arnell
Modified: 2009-10-06 10:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-03 17:06:19 UTC


Attachments (Terms of Use)
patch to update Test-Simple to 0.92 (214.87 KB, patch)
2009-08-26 14:37 UTC, Iain Arnell
no flags Details | Diff
spec diff (2.10 KB, patch)
2009-09-01 05:11 UTC, Chris Weyl
no flags Details | Diff
spec diff (2.40 KB, patch)
2009-09-01 07:59 UTC, Chris Weyl
no flags Details | Diff

Description Iain Arnell 2009-08-26 14:37:17 UTC
Created attachment 358727 [details]
patch to update Test-Simple to 0.92

Can we update Test-Simple to 0.92. Amongst other things, it brings done_testing() which is a requirement for latest MojoMojo.

Updated perl-update-Test-Simple.patch is attached. A few new tests needed tweaks to @INC (done_testing_double, done_testing_plan_mismatch, no_plan_at_all, use_ok). And new Test::Builder::IO::Scalar module isn't included because it's not needed on newer versions of Perl.

Comment 1 Chris Weyl 2009-08-27 04:25:39 UTC
Requirements on 0.92 have been popping up lately; this would definitely be a good thing.

5.10.1 seems to be out, which includes 0.92, but if we can slip this in quickly, that would be nice.  :)

http://use.perl.org/articles/09/08/25/0556226.shtml

Comment 2 Marcela Mašláňová 2009-08-27 06:31:51 UTC
I'd rahter wait for 5.10.1 which contain this version. I believe we can have it in Fedora-13. Do you need it really badly? In this case I'll update for you.

Comment 3 Iain Arnell 2009-08-27 06:48:47 UTC
It would be nice to have in F12 - I'm at the point where MojoMojo is just about ready and it would be a shame to have to wait another 6 months until it's available (but on the other hand, maybe it'll be slightly stabler by then).

Comment 4 Chris Weyl 2009-08-28 04:41:30 UTC
If 5.10.1 isn't going to be around until F13, we're definitely going to need this in at least F12. 0.92 has some serious enhancements that packages are starting to take advantage of.

Comment 5 Chris Weyl 2009-09-01 05:09:51 UTC
Soooo....  I have perl.spec updated, with perl-updates-Test-Simple.patch updated and perl-updates-Module-Pluggable.patch included (backported directly from perl-5.10.1.tar.gz)... Nothing's in cvs yet.

Here's a scratch build; in dist-f11 rather than dist-f12, as rawhide seems frakked right now:

  http://koji.fedoraproject.org/koji/watchlogs?taskID=1647157

Comment 6 Chris Weyl 2009-09-01 05:11:05 UTC
Created attachment 359346 [details]
spec diff

Comment 7 Chris Weyl 2009-09-01 07:59:01 UTC
Created attachment 359359 [details]
spec diff

Sigh, make that:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1647351

Updated to have the perl-Module-Pluggable subpackage version in sync with the update patch.

Comment 8 Chris Weyl 2009-09-02 06:58:04 UTC
Alright, we have a scratch dist-f12 build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1649055

Comment 9 Stepan Kasal 2009-09-03 17:06:19 UTC
Thank you Chris, for committing the fix as perl-5.10.0-82 and building to dist-f13.
I copied the fix to F-12 early branch and built to dist-f12.  Consequently, I'm closing the bug.

Comment 10 Fedora Update System 2009-09-18 20:22:02 UTC
perl-5.10.0-82.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-5.10.0-82.fc11

Comment 11 Fedora Update System 2009-10-06 10:06:55 UTC
perl-5.10.0-82.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.